Subject: Re: Is there a way to trim old SHAs from a git tree (so it's not so large)?

From: Jakub Narebski <[email-masked]>
Date: Tue, 21 Nov 2006 23:53:14 +0100

Timur Tabi wrote:

> Johannes Schindelin wrote:

>> Try "git clone --depth 1 <url>". This will cut each ancestor chain after 
>> one ancestor (IIRC).
> 
> I think you mean git-clone.sh instead of git-clone.  If I do the above command, 
> I get:
> 
> $ ./git clone --depth 1 git://127.0.0.1/temp/u-boot-83xx/
> Usage: /home/b04825/bin/git-clone [--template=<template_directory>] 
> [--use-separate-remote] [--reference <reference-repo>] [--bare] [-l [-s]] [-q] 
> [-u <upload-pack>] [--origin <name>] [-n] <repo> [<dir>]
> 
> However, git-clone.sh is not quite working either.  I had to run git-daemon on 
> my machine, because git-clone.sh doesn't like the http protocol, and my firewall 
> blocks everything but that.  So I cloned a repo, started git-daemon, and I tried 
> this:
> 
> $ ./git-clone.sh --depth 1 git://127.0.0.1/temp/u-boot-83xx
> usage: git-fetch-pack [--all] [-q] [-v] [-k] [--thin] [--exec=upload-pack] 
> [host:]directory <refs>...
> fetch-pack from 'git://127.0.0.1/temp/u-boot-83xx/' failed.
> 
> A regular git-clone of git://127.0.0.1/temp/u-boot-83xx works, so I think 
> there's something wrong with git-clone.sh or my invocation thereof.

Erm, you have to compile git with "make bindir=$(pwd)" to run it from
working directory. Or just install it somewhere not over git, like
/usr/local/ or /home/local/.
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git